# ``igraph`.`drawing`.`utils`.`FakeModule``

class documentation

`class FakeModule: (source)`

Constructor: `FakeModule(message)`

View In Hierarchy

Fake module that raises an exception for everything

Method | `__call__` | Undocumented
Method | `__getattr__` | Undocumented
Method | `__init__` | Constructor.
Method | `__setattr__` | Undocumented
Instance Variable | `_message` | Undocumented

def __call__(self, _): (source)

Undocumented

def __getattr__(self, _): (source)

Undocumented

def __init__(self, message): (source)

Constructor.

Parameters
message | message to print in exceptions raised from this module

def __setattr__(self, key, value): (source)

Undocumented

_message = (source)

Undocumented